import request from '@/utils/request'

// 查询部门列表
export function listDept(query) {
  return request({
    url: '/system/dept/list',
    method: 'get',
    params: query
  })
}

// 查询部门列表（排除节点）
export function listDeptExcludeChild(deptId) {
  return request({
    url: '/system/dept/list/exclude/' + deptId,
    method: 'get'
  })
}

// 查询部门详细
export function getDept(deptId) {
  return request({
    url: '/system/dept/' + deptId,
    method: 'get'
  })
}

// 新增部门
export function addDept(data) {
  return request({
    url: '/system/dept',
    method: 'post',
    data: data
  })
}

// 修改部门
export function updateDept(data) {
  return request({
    url: '/system/dept',
    method: 'put',
    data: data
  })
}

// 删除部门
export function delDept(deptId) {
  return request({
    url: '/system/dept/' + deptId,
    method: 'delete'
  })
}

// 获取总关、隶属海关、缉私局、事业单位四大类 机构
export function selectOrg() {
  return request({
    url: '/system/dept/selectOrg',
    method: 'get'
  })
}

export function selectOrgAll() {
  return request({
    url: '/system/dept/selectOrgAll',
    method: 'get'
  })
}


// 获取用户所属单位下级部门（部门）
export function getUserDept() {
  return request({
    url: '/system/dept/getUserDept',
    method: 'get'
  })
}
// 获取用户所属单位下级部门 包含父级本单位-事由权限
export function getUserDeptOrg(orgId) {
  return request({
    url: '/system/dept/getUserDeptOrg',
    method: 'get',
    params: {orgId}
  })
}

// 同步机构
export function deptSynch() {
  return request({
    url: '/system/dept/deptSynch',
    method: 'get'
  })
}

// 修改部门使用标志
export function changeUseFlag(deptId, useFlag) {
  return request({
    url: '/system/dept/changeUseFlag',
    method: 'get',
    params: {deptId, useFlag}
  })
}
